## python-imgviz 1.1.0+ds

=== requirements.txt ===
# NOTE: matplotlib<3.1.3 and Pillow==7 is not compatible
# https://github.com/matplotlib/matplotlib/issues/16083
matplotlib
numpy
Pillow>=5.3.0

=== debian/changelog ===
python-imgviz (1.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #962119)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 02 Jun 2020 20:51:17 +0200

=== debian/control ===
Source: python-imgviz
Section: python
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all, python3-numpy, python3-pil
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/myczko-guest/imgviz
Vcs-Git: https://salsa.debian.org/myczko-guest/imgviz.git
Homepage: https://github.com/wkentaro/imgviz

Package: python3-imgviz
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Image Visualization Tools (Python 3)
 These are tools for object detection, semantic and instance segmentation.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/wkentaro/imgviz/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-imgviz 1.2.4+ds

=== docs/requirements.txt ===
sphinx
sphinx_automodapi
sphinx_rtd_theme

=== debian/changelog ===
python-imgviz (1.2.4+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 31 Jan 2021 23:19:06 +0100

python-imgviz (1.2.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13.
  * d/control:
    - Added to Python Team.
    - Added python3-yaml, python3-matplotlib to Build-Depends.
  * d/upstream/metadata: added.
  * d/watch: version mangle fix.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Dec 2020 10:02:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: python-imgviz
 Section: python
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all, python3-numpy, python3-pil
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-numpy, python3-pil, python3-yaml, python3-matplotlib
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/myczko-guest/imgviz
 Vcs-Git: https://salsa.debian.org/myczko-guest/imgviz.git
 Homepage: https://github.com/wkentaro/imgviz

## python-imgviz 1.4.1+ds

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

clean:
	rm -rf $(BUILDDIR)/*
	find source -type d -name generated -print0 | xargs -0 rm -rf

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-imgviz (1.4.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - update Vcs fields.
    - update maintainer address.
  * Bump standards version to 4.6.0.
  * Fix python build dependency. (Closes: #998398)
    + Alternatives in Build-Depends are ignored.
    + Build python module in indep build only.
    + Move python Build-Depends to B-D-I.
    + Drop the :any nonsense.
    Thanks Helmut Grohne for the patch.

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Oct 2021 08:19:40 +0200

python-imgviz (1.4.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add build-depends: python3:any | python3-all:any |
    python3-dev:any | python3-all-dev:any | dh-sequence-python3,
    remove python3-all.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Oct 2021 08:29:51 +0200

python-imgviz (1.3.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 12:50:25 +0200

python-imgviz (1.2.6+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 01 Apr 2021 14:17:45 +0200

python-imgviz (1.2.5+ds-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 09 Feb 2021 14:22:46 +0100

=== debian/control ===
Source: python-imgviz
Section: python
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-numpy,
 python3-pil,
 python3-yaml,
 python3-matplotlib,
Build-Depends-Indep:
 dh-sequence-python3,
 python3
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/tar/imgviz
Vcs-Git: https://salsa.debian.org/tar/imgviz.git
Homepage: https://github.com/wkentaro/imgviz

Package: python3-imgviz
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Image Visualization Tools (Python 3)
 These are tools for object detection, semantic and instance segmentation.
 .
 This package installs the library for Python 3.

## python-imgviz 1.5.0+ds

=== debian/changelog ===
python-imgviz (1.5.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 09 Mar 2022 15:01:08 +0100

## python-imgviz 1.5.1+ds

=== debian/changelog ===
python-imgviz (1.5.1+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 05 Sep 2022 21:32:47 +0200

=== debian/watch ===
version=4

# GitHub hosted projects
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/wkentaro/imgviz/tags .*/v?(\d\S*)\.tar\.gz

## python-imgviz 1.7.5+ds

=== Makefile ===
all:
	@echo '## Make commands ##'
	@echo
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

lint:
	ruff format --check
	ruff check

format:
	ruff format
	ruff check --fix

test:
	pytest tests

=== requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 matplotlib
 numpy
 Pillow>=5.3.0
+PyYAML

=== debian/changelog ===
python-imgviz (1.7.5+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Jul 2024 05:17:06 +0000

python-imgviz (1.7.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Mar 2024 14:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-imgviz
 Section: python
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  dh-sequence-python3,
  python3
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tar/imgviz
 Vcs-Git: https://salsa.debian.org/tar/imgviz.git

## python-imgviz 1.7.6%2Bds

=== debian/changelog ===
python-imgviz (1.7.6+ds-2) unstable; urgency=medium

  * d/control: add pybuild-plugin-pyproject to build-depends.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 17:13:53 +0200

python-imgviz (1.7.6+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add python3-hatchling, python3-hatch-fancy-pypi-readme,
    python3-hatch-vcs to build-depends.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 10:33:02 +0200

## python-imgviz 1.7.6+ds

=== Makefile ===
all:
	@echo '## Make commands ##'
	@echo
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

PACKAGE_DIR=imgviz

mypy:
	mypy --package $(PACKAGE_DIR)

lint:
	ruff format --check || ruff format --check --diff
	ruff check || ruff check --diff

format:
	ruff format
	ruff check --fix

test:
	python -m pytest -n auto -v tests

clean:
	rm -rf build dist *.egg-info

build: clean
	python -m build --sdist --wheel

upload: build
	python -m twine upload dist/$(PACKAGE_DIR)-*

publish: build upload

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python3-hatchling,
+ python3-hatch-fancy-pypi-readme,
+ python3-hatch-vcs,
  python3-setuptools,
  python3-numpy,
  python3-pil,
  python3-yaml,
  python3-matplotlib,
+ pybuild-plugin-pyproject,
 Build-Depends-Indep:
  dh-sequence-python3,
  python3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tar/imgviz
 Vcs-Git: https://salsa.debian.org/tar/imgviz.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=imgviz

%:
	dh $@ --with python3 --buildsystem=pybuild
